org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Class QueryInitializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.viatra.query.runtime.matchers.ViatraQueryRuntimeException
        - - org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException
          - - org.eclipse.viatra.query.runtime.matchers.psystem.queries.QueryInitializationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RewriterException

      public class QueryInitializationException
      extends QueryProcessingException

  Represent an exception that occurred while initializing the specification of a query.
  Since:
    0.9
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryInitializationException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription)`
    `QueryInitializationException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException

      `bind, getPatternDescription, getShortMessage, setPatternDescription`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryInitializationException

          public QueryInitializationException(java.lang.String message,
                                              java.lang.String[] context,
                                              java.lang.String shortMessage,
                                              java.lang.Object patternDescription,
                                              java.lang.Throwable cause)

    - #### QueryInitializationException

          public QueryInitializationException(java.lang.String message,
                                              java.lang.String[] context,
                                              java.lang.String shortMessage,
                                              java.lang.Object patternDescription)